package test;

import java.applet.Applet;
import java.util.ArrayList;
import java.util.List;

import javax.media.opengl.GLAnimatorControl;
import javax.media.opengl.awt.GLCanvas;
import javax.swing.BoxLayout;

import com.jogamp.opengl.util.FPSAnimator;

/**
 * Shows how to deploy an applet using JOGL. This demo must be referenced from a
 * web page via an &lt;applet&gt; tag.
 */

public class GearsApplet extends Applet {
	private List<GLAnimatorControl> animators = new ArrayList<GLAnimatorControl>(2);

	public void init() {
		System.err.println("GearsApplet: init() - begin");
		new BoxLayout(this, BoxLayout.X_AXIS);
		setSize(600, 300);
		add(createCanvas());
		add(createCanvas());
		System.err.println("GearsApplet: init() - end");
	}

	private GLCanvas createCanvas() {
		GLCanvas canvas = new GLCanvas();
		canvas.addGLEventListener(new Gears());
		canvas.setSize(300, 300);
		animators.add(new FPSAnimator(canvas, 60));
		return canvas;
	}

	public void start() {
		for (GLAnimatorControl control : animators) {
			control.start();
		}
	}

	public void stop() {
		// FIXME: do I need to do anything else here?
		for (GLAnimatorControl control : animators) {
			control.stop();
		}
	}
}
